Bug 788622 - Search does not handle dash correctly
Search does not handle dash correctly
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Brad Buckingham
SAM QE List
: Triaged
Depends On: 789533
Blocks: 788623
  Show dependency treegraph
 
Reported: 2012-02-08 11:03 EST by Eric Sammons
Modified: 2012-04-26 20:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 788623 (view as bug list)
Environment:
katello-headpin-all-0.1.130-2.el6.noarch
Last Closed: 2012-04-26 20:20:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Broken search with valid character dash. (62.93 KB, image/png)
2012-02-08 11:03 EST, Eric Sammons
no flags Details

  None (edit)
Description Eric Sammons 2012-02-08 11:03:59 EST
Created attachment 560303 [details]
Broken search with valid character dash.

Description of problem:
When entering search criteria that contains the valid character "-", the block of results includes all matches up to the dash rather than limiting the results to only those that truly match the criteria entered.



Version-Release number of selected component (if applicable):
katello-headpin-all-0.1.130-2.el6.noarch

1. Navigate to a page with a search field; Organization, Systems, Users
2. Enter search criteria, something-more
3. Note that all results that contain "something" will be returned.
Comment 6 Eric Sammons 2012-04-04 10:46:35 EDT
katello-headpin-all-0.1.145-1.el6.noarch

VERIFIED

Be sure to use wildcard, *, when searching.  Perhaps a kbase here; how to search in CFSE and SAM

Note You need to log in before you can comment on or make changes to this bug.